Lists down all the template names in a tenant

GET /users/templates

Operation id: UserMappingTemplateService_ListUserTemplates

Description

Permission Level: Read

Tags: UserMappingTemplateService

Parameters

Query parameters

NameTypeRequiredDescription
pageSizeinteger (int32)NoRequested size of the next page of data. If not set, the default page size is 10, Required: false.
pageTokenstringNoMongoDB Field, describes the encoded page token for page traversal, Required: false
sortFieldstringNoSort field, valid values: friendlyName, createdDate or lastUpdated. Default: friendlyName, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
tenantIdstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
templatesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "templates": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "templateName": {
            "type": "string"
          },
          "friendlyName": {
            "type": "string"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}